POST api/Dashboard/GetCloseCase/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfDashboardCaseCloseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of DashboardCaseCloseDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CaseNo": 1,
"IncidentDate": "2026-08-04T14:29:17.5615571-07:00",
"EmployeeId": "sample string 2",
"EmployeeLName": "sample string 3",
"EmployeeFName": "sample string 4",
"DOB": "2026-08-04T14:29:17.5615571-07:00",
"CompanyEmployeeId": "sample string 5",
"CompanyName": "sample string 6",
"WLCode": "sample string 7",
"WLName": "sample string 8",
"InjuryTypeId": 1,
"InjuryTypeName": "sample string 9",
"Status": 1,
"NoOfEncounter": 10,
"ReasonForDelete": "sample string 11",
"ServiceType": "sample string 12",
"EstimatedDOI": true,
"CloseDate": "2026-08-04T14:29:17.5615571-07:00",
"InteractionType": 13,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:17.5615571-07:00",
"DateUpdated": "2026-08-04T14:29:17.5615571-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
},
{
"CaseNo": 1,
"IncidentDate": "2026-08-04T14:29:17.5615571-07:00",
"EmployeeId": "sample string 2",
"EmployeeLName": "sample string 3",
"EmployeeFName": "sample string 4",
"DOB": "2026-08-04T14:29:17.5615571-07:00",
"CompanyEmployeeId": "sample string 5",
"CompanyName": "sample string 6",
"WLCode": "sample string 7",
"WLName": "sample string 8",
"InjuryTypeId": 1,
"InjuryTypeName": "sample string 9",
"Status": 1,
"NoOfEncounter": 10,
"ReasonForDelete": "sample string 11",
"ServiceType": "sample string 12",
"EstimatedDOI": true,
"CloseDate": "2026-08-04T14:29:17.5615571-07:00",
"InteractionType": 13,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:17.5615571-07:00",
"DateUpdated": "2026-08-04T14:29:17.5615571-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}